Backend API
cURL
curl --request POST \ --url https://api.wacht.dev/ai/actor-project-threads/{thread_id}/update \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "title": "<string>", "agent_id": "<string>", "system_instructions": "<string>" } '
{ "id": "<string>", "deployment_id": "<string>", "actor_id": "<string>", "project_id": "<string>", "title": "<string>", "thread_kind": "<string>", "thread_visibility": "<string>", "thread_purpose": "<string>", "responsibility": "<string>", "reusable": true, "accepts_assignments": true, "capability_tags": [ "<string>" ], "status": "<string>", "system_instructions": "<string>", "last_activity_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "execution_state": {}, "next_event_sequence": 123, "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "archived_at": "2023-11-07T05:31:56Z" }
Updated thread
Was this page helpful?